### Enumeration

# AppStream ArtifactKind

#### Declaration

    enum AppStream.ArtifactKind

#### Description [src]

The artifact type.

#### Members

`AS_ARTIFACT_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_ARTIFACT_KIND_SOURCE`

  The artifact describes software sources.

  - Value: `1`
  - Available since: 1.0
`AS_ARTIFACT_KIND_BINARY`

  The artifact describes a binary distribution of the component.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_artifact_kind_from_string

Converts the text representation to an enumerated value.

###### as_artifact_kind_to_string

Converts the enumerated value to an text representation.